Subject: Re: bug#65049: Minor update to the repro steps

From: Maxim Kim <[email-masked]>
Date: Tue, 22 Aug 2023 23:12:40 +1000

Eli Zaretskii <[email-masked]> writes:

> I'm sorry, but it doesn't fail here, even without installing the patch
> with -unix encoding.
>
> I don't know what to say.  Maybe it is something with Git for Windows:
> my version is quite old (2.10.0); perhaps something has changed since
> then?  Also are you sure you tried with Emacs 29?  I used the latest
> emacs-29 branch from Git and stock Emacs 29.1, and they both work as
> expected.

I use the latest build available from
https://ftp.gnu.org/gnu/emacs/windows/emacs-29/emacs-29.1_2-installer.exe

I don't remember exact git version (will check when I am at my windows
laptop) but it is more recent than 2.10.0. I will downgrade it to see if
this will help.

> If none of the above helps, perhaps describe the steps above in more
> detail.  For example, the following details I had to guess:
>
>  . was the new file with Unix EOL or Windows CRLF EOL format?
   new file had UNIX EOL
>  . what was buffer-file-coding-system of the new file?
   'utf-8-unix
>  . what was the exact text of summary in log message you typed each
>    time in the recipe?
   test
>  . what did the "new line" in the file say, exactly?
   world
   
> Maybe one of these details is significant?

Actually all my files I create in emacs should be with LF endings:

(set-language-environment 'utf-8)
(setq-default buffer-file-coding-system 'utf-8-unix)

I will double-check if the generated patch file has LF endings tomorrow.